export var KeyCodes = {
  TAB: 9,
  SHIFT: 16,
  ESCAPE: 27,
  ARROW_UP: 38,
  ARROW_DOWN: 40
};
export var Selectors = {
  DATA_DROPDOWN: "data-dropdown",
  DROPDOWN_MENU_CLASS: "dropdown-menu",
  DATA_TARGET: "data-target",
  DATA_PARENT: "data-parent",
  DATA_VISIBLE: "data-visible",
  TABINDEX: "tabindex",
  ARIA_HASPOPUP: "aria-haspopup",
  ARIA_CONTROLS: "aria-controls",
  ARIA_LABELLEDBY: "aria-labelledby",
  ARIA_EXPANDED: "aria-expanded",
  OVERLAY_OPEN: "overlay-open"
};
export var Events = {
  KEYDOWN: "keydown",
  CLICK: "click",
  BLUR: "blur"
};
export var Messages = {
  NO_DROPDOWN_ID_ERROR: "Could not setup dropdown. Make sure it has a valid [data-dropdown] attribute with a unique id as its value.",
  NO_MENU_ERROR: function NO_MENU_ERROR(attr) {
    return "Could not find menu associated with ".concat(attr, ".");
  },
  NO_DROPDOWN_ITEMS_ERROR: function NO_DROPDOWN_ITEMS_ERROR(attr) {
    return "Could not find any list items associated with ".concat(attr, ".");
  },
  NO_DROPDOWN_ACTIONS_ERROR: function NO_DROPDOWN_ACTIONS_ERROR(attr) {
    return "Could not find any button or anchor elements associated with ".concat(attr, ".");
  },
  NO_PARENT_ERROR: "Could not find dropdown button's [data-parent] attribute."
};
//# sourceMappingURL=constants.js.map