import { Selectors } from "./constants";
export var queryAll = function queryAll(selector) {
  var parent = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : document;
  return Array.apply(null, parent.querySelectorAll(selector));
};
export var getFocusableElements = function getFocusableElements(selectorString) {
  var matchers = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : Selectors.FOCUSABLE_TAGS;
  var focusables = matchers.map(function (selector) {
    return "".concat(selectorString, " ").concat(selector).concat(Selectors.NOT_VISUALLY_HIDDEN_CLASS);
  }).join(", ");
  return queryAll(focusables);
};
//# sourceMappingURL=dom.js.map