import { Events, Selectors } from "./constants";
export var focusOnce = function focusOnce(element) {
  var handleBlur = function handleBlur(_ref) {
    var target = _ref.target;
    target.removeAttribute(Selectors.TABINDEX);
    target.removeEventListener(Events.BLUR, handleBlur);
  };

  element.setAttribute(Selectors.TABINDEX, "-1");
  element.focus();
  element.addEventListener(Events.BLUR, handleBlur);
};
//# sourceMappingURL=focus-once.js.map